Edgewall Software
Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#13048 closed defect (cantfix)

Genshi UnicodeEncodeError error while rendering template wiki_view.html (unknown template location)

Reported by: hgrapt@… Owned by:
Priority: normal Milestone:
Component: rendering Version: 1.2.2
Severity: major Keywords:
Cc: Branch:
Release Notes:
API Changes:
Internal Changes:

Description

After upgrading trac to 1.2.2 i get following error accessing the wiki

"Genshi UnicodeEncodeError error while rendering template wiki_view.html (unknown template location)"

The error occurs only on the Wiki Page, all other functions are not concerned.

Attachments (1)

trac_debug.log (34.5 KB ) - added by hgrapt@… 3 years ago.
debug.log after enabling use_chunked_encoding

Download all attachments as: .zip

Change History (12)

comment:1 by Jun Omae, 3 years ago

Component: web frontendrendering
Keywords: Genshi UnicodeEncodeError template wiki_view.html removed
Priority: highnormal
Version: 1.2.2

Please provide trac.log about the error after enabling TracLogging with DEBUG level, and system information and installed plugins from your Trac About page.

comment:2 by Jun Omae, 3 years ago

Keywords: needinfo added

comment:3 by hgraptgmx.de, 3 years ago

System Information

User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101 Firefox/60.0 Package Version Trac 1.2.2 Babel 2.3.4 Docutils 0.11 Genshi 0.6 (without speedups) mod_wsgi 3.4 (WSGIProcessGroup trac-a350-2spd-ssl WSGIApplicationGroup %{GLOBAL}) MySQL server: "10.1.32-MariaDB", client: "5.5.56-MariaDB", thread-safe: 1 MySQLdb 1.2.5 Pygments 1.4 Python 2.7.5 (default, Apr 11 2018, 17:41:36) [GCC 4.8.5 20150623 (Red Hat 4.8.5-28.0.1)] pytz 2016.6.1 setuptools 18.7 Subversion 1.8.19 (r1800620) jQuery 1.11.3 jQuery UI 1.11.4 jQuery Timepicker 1.5.5 Installed Plugins Name Version Location cc-selector 0.0.3.dev0 /var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/cc_selector-0.0.3dev-py2.7.egg TracCustomFieldAdmin 0.2.13 /usr/lib/python2.7/site-packages/TracCustomFieldAdmin-0.2.13-py2.7.egg TracDateField 3.0.0 /var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracDateField-3.0.0-py2.7.egg TracUsernameDecoratePlugin 0.12.0.1 /var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracUsernameDecoratePlugin-0.12.0.1-py2.7.egg TracWikiPrintPlugin 2.0.0dev-r0 /var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracWikiPrintPlugin-2.0.0dev_r0-py2.7.egg Configuration Section Name Value attachment max_size 23068672 max_zip_size 23068672 render_unsafe_content false browser color_scale True downloadable_paths /trunk, /branches/*, /tags/* hide_properties svk:merge intermediate_color intermediate_point newest_color (255, 136, 136) oldest_color (136, 136, 255) oneliner_properties trac:summary render_unsafe_content false wiki_properties trac:description cc_selector show_fullname disabled username_blacklist changeset max_diff_bytes 10000000 max_diff_files 0 wiki_format_messages true components datefield.* enabled tracopt.versioncontrol.svn.svn_fs.subversionconnector enabled tracopt.versioncontrol.svn.svn_prop.subversionmergepropertydiffrenderer enabled tracopt.versioncontrol.svn.svn_prop.subversionmergepropertyrenderer enabled tracopt.versioncontrol.svn.svn_prop.subversionpropertyrenderer enabled wikiprint.* enabled wikiprint.formats.wikiprintoutput enabled wikiprint.web_ui.wikiprintadmin enabled wikiprint.wikiprint.wikiprint enabled wikiprint.wikiprint.wikitohtmlpage enabled wikiprint.wikiprint.wikitopdfpage enabled datefield change_month disabled change_year disabled first_day 1 format dmy match_request months 1 panel disabled separator - weeknumbers disabled gitweb-repositories projects_base projects_list projects_url sync_per_request header_logo alt height -1 link src common/trac_banner.png width -1 inherit file /var/trac-gate/global/trac-a350-2spd.ini htdocs_dir plugins_dir templates_dir logging log_file trac.log log_format log_level WARNING log_type stderr mainnav browser.order 4.0 newticket.order 6.0 roadmap.order 3.0 search.order 7.0 tickets.order 5.0 timeline.order 2.0 wiki.order 1.0 metanav about.order 5.0 help.order 4.0 login.order 1.0 logout.order 2.0 prefs.order 3.0 milestone default_group_by component default_retarget_to stats_provider DefaultTicketGroupStatsProvider mimeviewer max_preview_size 262144 mime_map text/x-dylan:dylan, text/x-idl:ice, text/x-ada:ads:adb mime_map_patterns text/plain:README|INSTALL|COPYING.* pygments_default_style trac pygments_modes tab_width 8 treat_as_binary application/octet-stream, application/pdf, application/postscript, application/msword,application/rtf, notification admit_domains always_notify_owner true always_notify_reporter true always_notify_updater true ambiguous_char_width single batch_subject_template $prefix Batch modify: $tickets_descr default_format.email text/plain email_address_resolvers SessionEmailResolver email_sender SmtpEmailSender ignore_domains message_id_hash md5 mime_encoding none sendmail_path sendmail smtp_always_bcc smtp_always_cc smtp_default_domain smtp_enabled true smtp_from do-not-reply@… smtp_from_author false smtp_from_name TRAC A350 2SPD smtp_password smtp_port 25 smtp_replyto do-not-reply@… smtp_server mail.m-net.vv smtp_subject_prefix default smtp_user ticket_subject_template $prefix #$ticket.id: $summary use_public_cc false use_short_addr false use_tls false notification-subscriber always_notify_cc CarbonCopySubscriber always_notify_owner TicketOwnerSubscriber always_notify_previous_updater TicketPreviousUpdatersSubscriber always_notify_reporter TicketReporterSubscriber always_notify_updater TicketUpdaterSubscriber project admin admin_trac_url . descr My A350 2SPD Project footer Visit the Trac open source project at<br /><a href="http://trac.edgewall.org/">http://trac.edgewall.org/</a> icon common/trac.ico name A350-2SPD url https://casiv1.ham.de.eu.airbus.corp/trac/a350-2spd/ query default_anonymous_query status!=closed&cc~=$USER default_query status!=closed&owner=$USER items_per_page 100 ticketlink_query ?status=!closed report items_per_page 100 items_per_page_rss 0 repositories .dir /var/trac-gate/instances/a350-2spd/repos .sync_per_request true revisionlog default_log_limit 100 graph_colors ['#cc0', '#0c0', '#0cc', '#00c', '#c0c', '#c00'] roadmap stats_provider DefaultTicketGroupStatsProvider search default_disabled_filters min_query_length 3 sqlite extensions svn authz_file authz_module_name branches trunk,branches/* eol_style native tags tags/* ticket allowed_empty_fields milestone,version default_cc default_component 2SPD Infrastructur default_description default_keywords default_milestone default_owner < default > default_priority minor default_resolution fixed default_severity Unknown default_summary default_type defect default_version H3 S3.5 max_comment_size 262144 max_description_size 262144 max_summary_size 262144 preserve_newlines default restrict_owner true workflow ConfigurableTicketWorkflow ticket-custom due_date text due_date.date true due_date.date_empty true due_date.label Due Date due_date.value <now> ticket-workflow accept new,assigned,accepted,reopened → accepted accept.operations set_owner_to_self accept.permissions TICKET_MODIFY create <none> → new create.default 1 create_and_assign <none> → assigned create_and_assign.label assign create_and_assign.operations may_set_owner create_and_assign.permissions TICKET_MODIFY leave * → * leave.default 1 leave.operations leave_status reassign new,assigned,accepted,reopened → assigned reassign.operations set_owner reassign.permissions TICKET_MODIFY reopen closed → reopened reopen.operations del_resolution reopen.permissions TICKET_CREATE resolve new,assigned,accepted,reopened → closed resolve.operations set_resolution resolve.permissions TICKET_MODIFY timeline abbreviated_messages True changeset_collapse_events false changeset_long_messages false changeset_show_files 0 default_daysback 30 max_daysback 90 newticket_formatter oneliner ticket_show_component disabled ticket_show_details false trac auth_cookie_domain auth_cookie_lifetime 0 auth_cookie_path authz_file authz_module_name auto_preview_timeout 2.0 auto_reload False backup_dir db base_url /trac/a350-2spd check_auth_ip false database mysql://trac_a350_2spd:password@mysql.m-net.vv/trac_db_a350_2spd debug_sql False default_charset utf-8 default_date_format default_dateinfo_format relative default_handler WikiModule default_language en_US default_timezone genshi_cache_size 128 htdocs_location ignore_auth_case false jquery_location jquery_ui_location jquery_ui_theme_location mainnav wiki, timeline, roadmap, browser, tickets, newticket, search metanav login, logout, prefs, help, about mysqldump_path mysqldump never_obfuscate_mailto false permission_policies ReadonlyWikiPolicy,DefaultPermissionPolicy,LegacyAttachmentPolicy permission_store DefaultPermissionStore pg_dump_path pg_dump repository_dir /var/trac-gate/instances/a350-2spd/repos repository_sync_per_request (default) repository_type svn request_filters resizable_textareas true secure_cookies False show_email_addresses false show_full_names enabled show_ip_addresses false timeout 20 use_base_url_for_redirect true use_chunked_encoding disabled use_xsendfile disabled wiki_toolbars enabled xsendfile_header X-Sendfile usernamedecorate authorinfo_label $fullname authorinfo_title $username - $fullname <$email> gravatar_icon_size 16 show_gravatar_icon disabled show_tooltips enabled versioncontrol allowed_repository_dir_prefixes default_repository_type svn wiki default_edit_area_height 20 ignore_missing_pages false max_size 262144 render_unsafe_content true safe_origins data: safe_schemes cvs, file, ftp, git, irc, http, https, news, sftp, smb, ssh, svn, svn+ssh split_page_names false wikiprint article_css_url book_css_url css_url extracontent_url frontpage_url httpauth_password Hilagen06 httpauth_user ng1b872 omit_links disabled omit_macros rebase_links toc_title Table of Contents Trac Powered

Powered by Trac 1.2.2 By Edgewall Software.

Version 0, edited 3 years ago by hgraptgmx.de (next)

comment:4 by hgraptgmx.de, 3 years ago

trac.log

...
2018-06-22 11:54:01,796 Trac[env] INFO: -------------------------------- environment startup [Trac 1.2.2] --------------------------------
2018-06-22 11:54:01,826 Trac[loader] DEBUG: Loading plugin "cc_selector.cc_selector" from "/var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/cc_selector-0.0.3dev-py2.7.egg"
2018-06-22 11:54:01,827 Trac[loader] DEBUG: Loading plugin "customfieldadmin.admin" from "/usr/lib/python2.7/site-packages/TracCustomFieldAdmin-0.2.13-py2.7.egg"
2018-06-22 11:54:01,828 Trac[loader] DEBUG: Loading plugin "customfieldadmin.api" from "/usr/lib/python2.7/site-packages/TracCustomFieldAdmin-0.2.13-py2.7.egg"
2018-06-22 11:54:01,829 Trac[loader] DEBUG: Loading plugin "datefield.filter" from "/var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracDateField-3.0.0-py2.7.egg"
2018-06-22 11:54:01,829 Trac[loader] DEBUG: Loading plugin "trac.about" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,829 Trac[loader] DEBUG: Loading plugin "trac.admin.console" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,830 Trac[loader] DEBUG: Loading plugin "trac.admin.web_ui" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,830 Trac[loader] DEBUG: Loading plugin "trac.attachment" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,831 Trac[loader] DEBUG: Loading plugin "trac.db.mysql" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,832 Trac[loader] DEBUG: Loading plugin "trac.db.postgres" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,853 Trac[loader] DEBUG: Skipping "trac.db.postgres = trac.db.postgres_backend [postgresql]": DistributionNotFound: The 'psycopg2>=2.0' distribution was not found and is required by the application
2018-06-22 11:54:01,854 Trac[loader] DEBUG: Loading plugin "trac.db.sqlite" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,854 Trac[loader] DEBUG: Loading plugin "trac.mimeview.patch" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,855 Trac[loader] DEBUG: Loading plugin "trac.mimeview.pygments" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,855 Trac[loader] DEBUG: Loading plugin "trac.mimeview.rst" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,856 Trac[loader] DEBUG: Loading plugin "trac.mimeview.txtl" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,878 Trac[loader] DEBUG: Skipping "trac.mimeview.txtl = trac.mimeview.txtl [textile]": DistributionNotFound: The 'textile>=2.0' distribution was not found and is required by the application
2018-06-22 11:54:01,878 Trac[loader] DEBUG: Loading plugin "trac.notification.api" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,878 Trac[loader] DEBUG: Loading plugin "trac.notification.compat" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,879 Trac[loader] DEBUG: Loading plugin "trac.notification.mail" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,879 Trac[loader] DEBUG: Loading plugin "trac.notification.prefs" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,880 Trac[loader] DEBUG: Loading plugin "trac.prefs" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,880 Trac[loader] DEBUG: Loading plugin "trac.search" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,881 Trac[loader] DEBUG: Loading plugin "trac.ticket.admin" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,881 Trac[loader] DEBUG: Loading plugin "trac.ticket.batch" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,882 Trac[loader] DEBUG: Loading plugin "trac.ticket.notification" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,882 Trac[loader] DEBUG: Loading plugin "trac.ticket.query" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,883 Trac[loader] DEBUG: Loading plugin "trac.ticket.report" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,883 Trac[loader] DEBUG: Loading plugin "trac.ticket.roadmap" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,884 Trac[loader] DEBUG: Loading plugin "trac.ticket.web_ui" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,884 Trac[loader] DEBUG: Loading plugin "trac.timeline" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,885 Trac[loader] DEBUG: Loading plugin "trac.versioncontrol.admin" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,885 Trac[loader] DEBUG: Loading plugin "trac.versioncontrol.svn_authz" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,886 Trac[loader] DEBUG: Loading plugin "trac.versioncontrol.web_ui" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,886 Trac[loader] DEBUG: Loading plugin "trac.web.auth" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,887 Trac[loader] DEBUG: Loading plugin "trac.web.main" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,887 Trac[loader] DEBUG: Loading plugin "trac.web.session" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,888 Trac[loader] DEBUG: Loading plugin "trac.wiki.admin" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,888 Trac[loader] DEBUG: Loading plugin "trac.wiki.interwiki" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,889 Trac[loader] DEBUG: Loading plugin "trac.wiki.macros" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,889 Trac[loader] DEBUG: Loading plugin "trac.wiki.web_api" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,890 Trac[loader] DEBUG: Loading plugin "trac.wiki.web_ui" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,890 Trac[loader] DEBUG: Loading plugin "tracopt.perm.authz_policy" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,891 Trac[loader] DEBUG: Loading plugin "tracopt.perm.config_perm_provider" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,891 Trac[loader] DEBUG: Loading plugin "tracopt.ticket.clone" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,892 Trac[loader] DEBUG: Loading plugin "tracopt.ticket.commit_updater" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,892 Trac[loader] DEBUG: Loading plugin "tracopt.ticket.deleter" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,893 Trac[loader] DEBUG: Loading plugin "tracopt.versioncontrol.git.git_fs" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,893 Trac[loader] DEBUG: Loading plugin "tracopt.versioncontrol.svn.svn_fs" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,894 Trac[loader] DEBUG: Loading plugin "tracopt.versioncontrol.svn.svn_prop" from "/usr/lib/python2.7/site-packages/Trac-1.2.2-py2.7.egg"
2018-06-22 11:54:01,894 Trac[loader] DEBUG: Loading plugin "tracusernamedecorate.web_ui" from "/var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracUsernameDecoratePlugin-0.12.0.1-py2.7.egg"
2018-06-22 11:54:01,894 Trac[loader] DEBUG: Loading plugin "wikiprint.formats" from "/var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracWikiPrintPlugin-2.0.0dev_r0-py2.7.egg"
2018-06-22 11:54:01,895 Trac[loader] DEBUG: Loading plugin "wikiprint.web_ui" from "/var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracWikiPrintPlugin-2.0.0dev_r0-py2.7.egg"
2018-06-22 11:54:01,896 Trac[loader] DEBUG: Loading plugin "wikiprint.wikiprint" from "/var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracWikiPrintPlugin-2.0.0dev_r0-py2.7.egg"
2018-06-22 11:54:01,899 Trac[default_workflow] DEBUG: Workflow actions at initialization: defaultdict(<type 'dict'>, {u'resolve': {u'operations': [u'set_resolution'], 'name': '', 'default': 0, 'newstate': u'closed', 'label': u'resolve', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'create': {'operations': [], 'name': '', u'default': 1, 'newstate': u'new', 'label': u'create', 'oldstates': [None], 'permissions': []}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': '', 'default': 0, 'newstate': u'accepted', 'label': u'accept', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': '', u'default': 1, 'newstate': u'*', 'label': u'leave', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': '', 'default': 0, 'newstate': u'reopened', 'label': u'reopen', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'create_and_assign': {u'operations': [u'may_set_owner'], 'name': '', 'default': 0, 'newstate': u'assigned', u'label': u'assign', 'oldstates': [None], u'permissions': [u'TICKET_MODIFY']}, u'reassign': {u'operations': [u'set_owner'], 'name': '', 'default': 0, 'newstate': u'assigned', 'label': u'reassign', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'default': 0, 'newstate': 'new', 'label': 'reset', 'oldstates': [], 'permissions': ['TICKET_ADMIN']}})

2018-06-22 11:54:01,911 Trac[main] DEBUG: Dispatching <RequestWithSession "GET '/admin/general/logging'">
2018-06-22 11:54:01,912 Trac[main] DEBUG: Chosen handler is <Component trac.admin.web_ui.AdminModule>
2018-06-22 11:54:01,916 Trac[svn_fs] DEBUG: Subversion bindings imported
2018-06-22 11:54:01,921 Trac[cache] DEBUG: cache metadata undefined (youngest_rev=0)
2018-06-22 11:54:01,922 Trac[cache] INFO: repos rev [0] != cached rev [None]
2018-06-22 11:54:01,922 Trac[session] DEBUG: Retrieving session for ID u'ng1b872'
2018-06-22 11:54:01,929 Trac[main] DEBUG: Negotiated locale: None -> en_US
2018-06-22 11:54:01,994 Trac[api] INFO: Synchronized '(default)' repository in 0.08 seconds
2018-06-22 11:54:01,995 Trac[api] DEBUG: action controllers for ticket workflow: ['ConfigurableTicketWorkflow']
2018-06-22 11:54:01,999 Trac[chrome] DEBUG: Prepare chrome data for request
2018-06-22 11:54:02,009 Trac[main] DEBUG: Rendering response from handler
2018-06-22 11:54:02,213 Trac[main] DEBUG: Dispatching <RequestWithSession "GET '/chrome/usernamedecorate/base.css'">
2018-06-22 11:54:02,213 Trac[main] DEBUG: Chosen handler is <Component trac.web.chrome.Chrome>
2018-06-22 11:54:02,257 Trac[session] DEBUG: Retrieving session for ID u'ng1b872'
2018-06-22 11:55:26,931 Trac[main] DEBUG: Dispatching <RequestWithSession "GET '/wiki'">
2018-06-22 11:55:26,931 Trac[main] DEBUG: Chosen handler is <Component trac.wiki.web_ui.WikiModule>
2018-06-22 11:55:26,936 Trac[cache] DEBUG: cache metadata undefined (youngest_rev=0)
2018-06-22 11:55:26,936 Trac[cache] INFO: repos rev [0] != cached rev [None]
2018-06-22 11:55:26,937 Trac[session] DEBUG: Retrieving session for ID u'ng1b872'
2018-06-22 11:55:26,944 Trac[main] DEBUG: Negotiated locale: None -> en_US
2018-06-22 11:55:27,011 Trac[api] INFO: Synchronized '(default)' repository in 0.08 seconds
2018-06-22 11:55:27,015 Trac[chrome] DEBUG: Prepare chrome data for request
2018-06-22 11:55:27,030 Trac[main] DEBUG: Rendering response from handler
2018-06-22 11:55:27,194 Trac[main] WARNING: [172.16.0.173] HTTPInternalError: 500 Trac Error (Genshi UnicodeEncodeError error while rendering template wiki_view.html (unknown template location)), <RequestWithSession "GET '/wiki'">, referrer 'https://casiv1.ham.de.eu.airbus.corp/trac/a350-2spd/admin/general/logging'
2018-06-22 11:55:27,353 Trac[main] DEBUG: Dispatching <RequestWithSession "GET '/chrome/common/css/wiki.css'">
2018-06-22 11:55:27,353 Trac[main] DEBUG: Chosen handler is <Component trac.web.chrome.Chrome>
2018-06-22 11:55:27,379 Trac[main] DEBUG: Dispatching <RequestWithSession "GET '/chrome/usernamedecorate/tipsy.css'">
2018-06-22 11:55:27,380 Trac[main] DEBUG: Chosen handler is <Component trac.web.chrome.Chrome>
2018-06-22 11:55:27,385 Trac[main] DEBUG: Dispatching <RequestWithSession "GET '/chrome/usernamedecorate/base.css'">
2018-06-22 11:55:27,386 Trac[main] DEBUG: Chosen handler is <Component trac.web.chrome.Chrome>
2018-06-22 11:55:27,386 Trac[main] DEBUG: Dispatching <RequestWithSession "GET '/chrome/common/css/code.css'">
2018-06-22 11:55:27,391 Trac[main] DEBUG: Chosen handler is <Component trac.web.chrome.Chrome>
2018-06-22 11:55:27,482 Trac[session] DEBUG: Retrieving session for ID u'ng1b872'
2018-06-22 11:55:27,602 Trac[session] DEBUG: Retrieving session for ID u'ng1b872'
2018-06-22 11:55:27,654 Trac[session] DEBUG: Retrieving session for ID u'ng1b872'
2018-06-22 11:55:27,706 Trac[session] DEBUG: Retrieving session for ID u'ng1b872'

comment:5 by Jun Omae, 3 years ago

It seems that the error is caused by content of WikiStart in your Trac. Could you please attach content of your WikiStart to this ticket, if possible?

comment:6 by anonymous, 3 years ago

Additional Info: Some of the Reports raise also an error, for examle the report "{10} All Tickets by Owner"

Query:

query:?status=accepted
&
status=assigned
&
status=new
&
status=reopened
&
group=owner
&
order=priority

"Genshi UnicodeEncodeError error while rendering template query.html (unknown template location)"

  • Content of WikiStart
    cat /root/a350-2spd_tmp/WikiStart
    = Welcome to Trac 1.0.1 =
    
    Trac is a '''minimalistic''' approach to '''web-based''' management of
    '''software projects'''. Its goal is to simplify effective tracking and handling of software issues, enhancements and overall progress.
    
    All aspects of Trac have been designed with the single goal to
    '''help developers write great software''' while '''staying out of the way'''
    and imposing as little as possible on a team's established process and
    culture.
    
    As all Wiki pages, this page is editable, this means that you can
    modify the contents of this page simply by using your
    web-browser. Simply click on the "Edit this page" link at the bottom
    of the page. WikiFormatting will give you a detailed description of
    available Wiki formatting commands.
    
    "[wiki:TracAdmin trac-admin] ''yourenvdir'' initenv" created
    a new Trac environment, containing a default set of wiki pages and some sample
    data. This newly created environment also contains
    [wiki:TracGuide documentation] to help you get started with your project.
    
    You can use [wiki:TracAdmin trac-admin] to configure
    [http://trac.edgewall.org/ Trac] to better fit your project, especially in
    regard to ''components'', ''versions'' and ''milestones''.
    
    
    TracGuide is a good place to start.
    
    Enjoy! [[BR]]
    ''The Trac Team''
    
    == Starting Points ==
    
     * TracGuide --  Built-in Documentation
     * [http://trac.edgewall.org/ The Trac project] -- Trac Open Source Project
     * [http://trac.edgewall.org/wiki/TracFaq Trac FAQ] -- Frequently Asked Questions
     * TracSupport --  Trac Support
    
    For a complete list of local wiki pages, see TitleIndex.
    
    == Test Bench Dokumentation ==
    
    Here you find the entry Page to the 2SPD TestBenchDocumentation
    

comment:7 by Jun Omae, 3 years ago

Thanks, but wiki text and custom query are valid and cannot lead the error.

Hmm, could you please configure [trac] use_chunked_encoding = enabled temporarily? After the configuration, stack trace of the error should be dumped in trac.log when Genshi UnicodeEncodeError is raised.

by hgrapt@…, 3 years ago

Attachment: trac_debug.log added

debug.log after enabling use_chunked_encoding

comment:8 by hgrapt@…, 3 years ago

after enabling use_chunked encoding, there ara no more errors in Wiki nor Reports.

comment:9 by Jun Omae, 3 years ago

Resolution: cantfix
Status: newclosed

Thanks. The issue is caused by old th:UsernameDecoratePlugin (th:r14262, th:#12061). Please upgrade to latest of th:UsernameDecoratePlugin.

2018-06-25 07:41:10,604 Trac[main] DEBUG: Rendering response from handler
2018-06-25 07:41:10,934 Trac[chrome] ERROR: Genshi UnicodeEncodeError error while rendering template (unknown template location)
Traceback (most recent call last):
  File "build/bdist.linux-x86_64/egg/trac/web/chrome.py", line 1229, in iterable_content
    for chunk in stream.serialize(method, **kwargs):
  ...
  File "/var/trac-gate/instances/a350-2spd/trac/a350-2spd/plugins/TracUsernameDecoratePlugin-0.12.0.1-py2.7.egg/tracusernamedecorate/web_ui.py", line 205, in _authorinfo
    print author, label
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 4: ordinal not in range(128)
Last edited 3 years ago by Jun Omae (previous) (diff)

comment:10 by Jun Omae, 3 years ago

Keywords: needinfo removed

comment:11 by hgrapt@…, 3 years ago

OK, thank you, works with newer version of the plugin.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.
to The owner will be changed from (none) to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.